Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  getUserProfile(e) {
    var that=this;//防止获取不到用户信息
  // 推荐使用wx.getUserProfile获取用户信息，开发者每次通过该接口获取用户个人信息均需用户确认，开发者妥善保管用户快速填写的头像昵称，避免重复弹窗
  wx.getUserProfile({
    desc: '展示用户信息', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
    success: (res) => {
      console.log(res)
      that.setData({
        userInfo: res.userInfo,
      })
    }
  })
},
getZh(e){//获取输入框账号
  console.log(e.detail.value)
  this.setData({
    zh:e.detail.value
  })
 },
getPassword(e){
  console.log(e.detail.value)
  this.setData(
    {
      ps1:e.detail.value 
    }
  )
},
getPassword2(e){
  console.log(e.detail.value)
  this.setData(
    {
       ps2:e.detail.value 
    }
  )
},
zhuche(){
  // 检验输入密码是否一致
  if(this.data.ps1!=this.data.ps2){
   wx.showToast({
     title: '输入密码不一致',
   })
   return
 }
var that=this;
console.log(Date.now())
wx.cloud.database().collection("chat_users1").add({
data:{
  num:Date.now(),//账号
  faceImg:that.data.userInfo.avatarUrl,
  nickName:that.data.userInfo.nickName,
  admin:that.data.zh,
  password:that.data.ps1
},
success(res){
  console.log(res)
}

})
},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})